Loading...
Searching...
No Matches
caf::sum_type_access< T > Struct Template Reference

Specializing this trait allows users to enable holds_alternative, get, get_if, and visit for any user-defined sum type. More...

`#include <sum_type_access.hpp>`

## Static Public Attributes

static constexpr bool | specialized = false

## Detailed Description

template<class T>
struct caf::sum_type_access< T >

Specializing this trait allows users to enable holds_alternative, get, get_if, and visit for any user-defined sum type.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/sum_type_access.hpp